.TH FEDMSG-IRC 1

.SH NAME
fedmsg\-irc \- relay messages from the fedmsg bus to any number of IRC channels

.SH SYNOPSIS
.B fedmsg\-irc
.RB [ \-\-daemon ]
.RI [ "<common fedmsg options>" ]
.PP
.B fedmsg\-irc
.RB [ \-h | \-\-help ]

.SH DESCRIPTION
.PP
.B fedmsg\-irc
is a daemon that relays the messages received on the fedmsg bus to the IRC channels configured in the
.I irc
fedmsg configuration key.

.SH OPTIONS
.TP
.BR \-h ", " \-\-help
Print an help message and exit
.TP
.BR \-\-daemon
Run in the background as a daemon.

.SH COMMON FEDMSG OPTIONS
.TP
.BR "\-\-io\-threads " IO_THREADS
Number of io threads for 0mq to use
.TP
.BR "\-\-topic\-prefix " TOPIC_PREFIX
Prefix for the topic of each message sent.
.TP
.BR "\-\-post\-init\-sleep " POST_INIT_SLEEP
Number of seconds to sleep after initializing.
.TP
.BR "\-\-config\-filename " CONFIG_FILENAME
Config file to use.
.TP
.BR \-\-print\-config
Simply print out the configuration and exit. No action taken.
.TP
.BR "\-\-timeout " TIMEOUT
Timeout in seconds for any blocking zmq operations.
.TP
.BR "\-\-high\-water\-mark " HIGH_WATER_MARK
Limit on the number of messages in the queue before
blocking.
.TP
.BR "\-\-linger " ZMQ_LINGER
Number of milliseconds to wait before timing out connections.

.SH SEE ALSO
.PP
.BR fedmsg\-irc (1)

.SH "AUTHORS"
.TP
.BR "The Fedora Infrastructure team" " <\&messaging\-sig@lists\&.fedoraproject\&.org\&>"
.RB "Wrote the " fedmsg " software\&."
.TP
.BR "Nicolas Dandrimont" " <\&olasd@debian\&.org\&>"
Wrote this manpage for the Debian system\&.

.SH "COPYRIGHT"
.br
Copyright \(co 2014 Nicolas Dandrimont
.br
.PP
This manual page was written for the Debian system (and may be used by
others)\&.
.PP
You can redistribute it and/or modify it under the terms of the GNU
Lesser General Public License as published by the Free Software
Foundation; either version 2.1 of the License, or (at your option) any
later version.
.PP
On Debian systems, a copy of the license can be found in the
.I /usr/share/common-licenses/LGPL-2.1
file.
.sp
